/*              
 *               Arduino  |   ESP32  |   STM32
 * --------------------------------------------
 * DataPin         13     |    39    |    PB5
 * --------------------------------------------
 * 
 */

#define DataPin 13

int state = LOW;                 // by default, no motion detected
int val = 0;                    // variable to store the sensor status

void setup() {
  
  pinMode(DataPin, INPUT);       // initialize DataPin as an input
  Serial.begin(9600);           // initialize serial
   
}

void loop(){
  
  val = digitalRead(PB5);       // read sensor value
  
  if (val == HIGH) {            
    delay(100);                  
    if (state == LOW) {
      Serial.println("Motion detected!"); 
      state = HIGH;       
    }
  } else {
      delay(200);             
      if (state == HIGH){
        Serial.println("Motion stopped!");
        state = LOW;       
    }
  }
  
}
