/*
 *            |   Arduino   |   ESP32   |   STM32   |
 *---------------------------------------------------
 * SW1Pin     |             |           |           |
 *---------------------------------------------------
 * SW2Pin     |             |           |           |
 *---------------------------------------------------
 *
 */

#define SW1Pin 2
#define SW2Pin 3

int SW1State = 1 ;
int SW2State = 1 ;

void setup() {
  Serial.begin(9600);
  pinMode(SW1Pin, INPUT_PULLUP);
  pinMode(SW2Pin, INPUT_PULLUP);
}

void loop() {
  SW1State = digitalRead(SW1Pin);
  SW2State = digitalRead(SW2Pin);
  if(SW1State == 0){
    Serial.println("Button 1 Pressed");
  }
  if(SW2State == 0){
    Serial.println("Button 2 Pressed");
  }
}
