/*              
 *               Arduino  |   ESP32  |   STM32
 * --------------------------------------------
 * MQPIN      |     A0    |    34    |    PA0
 * --------------------------------------------
 * BuzzerPin  |     8     |     2    |    PB14    
 *---------------------------------------------
 * 
 */

#define MQPIN 34
#define BuzzerPin 2

void setup() {
   Serial.begin(9600);
   pinMode(MQPIN, INPUT);
   pinMode(BuzzerPin, OUTPUT);
}

void loop() {
   int sensorValue = analogRead(MQPIN);
   Serial.println(sensorValue);

   if(sensorValue > 400 && sensorValue < 800) {
    digitalWrite(BuzzerPin, HIGH);
    delay(500);
    digitalWrite(BuzzerPin, LOW);
    delay(500);
   }else if(sensorValue > 800) {
    digitalWrite(BuzzerPin, HIGH);
   }else{
    digitalWrite(BuzzerPin, LOW);
   } 
}
